Bug 981682 - tests failing on big endians
tests failing on big endians
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt-java-connector (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-07-05 09:17 EDT by Dan Horák
Modified: 2014-05-09 11:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: abrt-java-connector-1.0.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:53:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
failed abrt-java-connector ppc64le build log (34.67 KB, text/x-log)
2014-05-09 05:04 EDT, Menanteau Guy
no flags Details
new c3357da build log (34.88 KB, text/x-log)
2014-05-09 08:50 EDT, Menanteau Guy
no flags Details
run_test log (31.68 KB, text/x-log)
2014-05-09 08:51 EDT, Menanteau Guy
no flags Details

  None (edit)
Description Dan Horák 2013-07-05 09:17:23 EDT
One test fails on big endian arches (ppc and s390, both 32 and 64 bit)

...
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.9c5OB6
+ umask 022
+ cd /builddir/build/BUILD
+ cd abrt-java-connector-239a2a669df420a40968f8c6f3290e9b4994251f
+ make test
Running tests...
/usr/bin/ctest --force-new-ctest-process 
Test project /builddir/build/BUILD/abrt-java-connector-239a2a669df420a40968f8c6f3290e9b4994251f
      Start  1: test_run
 1/10 Test  #1: test_run .........................   Passed   16.87 sec
      Start  2: test_run_test
 2/10 Test  #2: test_run_test ....................***Failed    4.08 sec
      Start  3: test_run_package
 3/10 Test  #3: test_run_package .................   Passed    0.15 sec
      Start  4: test_run_jar
 4/10 Test  #4: test_run_jar .....................   Passed    0.25 sec
      Start  5: test_run_threads
 5/10 Test  #5: test_run_threads .................   Passed    0.16 sec
      Start  6: test_run_remote
 6/10 Test  #6: test_run_remote ..................   Passed    0.30 sec
      Start  7: test_run_bad_class
 7/10 Test  #7: test_run_bad_class ...............   Passed    8.20 sec
      Start  8: test_run_missing_class_test
 8/10 Test  #8: test_run_missing_class_test ......   Passed    0.16 sec
      Start  9: test_run_try_finally
 9/10 Test  #9: test_run_try_finally .............   Passed    1.64 sec
      Start 10: test_run_inner
10/10 Test #10: test_run_inner ...................   Passed    0.20 sec
90% tests passed, 1 tests failed out of 10
Total Test time (real) =  32.02 sec
The following tests FAILED:
	  2 - test_run_test (Failed)

Version-Release number of selected component (if applicable):
abrt-java-connector-1.0.0-1.fc19

Full logs are available from
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1200838
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1092789
Comment 1 Jakub Filak 2013-07-08 08:35:12 EDT
Fixed in upstream git:
6f22940 Add test results for Linux-ppc
4a169d1 Add test results for Linux-s390
2813457 Add test results for Linux-ppc64
a299375 Add test results for Linux-s390x
e29d583 Support multi-arch testing

Scratch builds:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1212669
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1093696
Comment 2 Fedora Update System 2013-07-10 04:31:32 EDT
abrt-java-connector-1.0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/abrt-java-connector-1.0.2-1.fc19
Comment 3 Fedora Update System 2013-07-10 22:30:27 EDT
Package abrt-java-connector-1.0.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-java-connector-1.0.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12721/abrt-java-connector-1.0.2-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-17 03:14:56 EDT
abrt-java-connector-1.0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/abrt-java-connector-1.0.3-1.fc19
Comment 5 Fedora Update System 2013-07-20 14:41:23 EDT
abrt-java-connector-1.0.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/abrt-java-connector-1.0.4-1.fc19
Comment 6 Fedora Update System 2013-08-01 23:53:10 EDT
abrt-java-connector-1.0.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Menanteau Guy 2014-05-07 10:46:49 EDT
Hi There,
I am testing the new arch "ppc64le" (for ppc 64bits little endian) and I get the same problem. I guess a Linux-ppc64le is needed to be add.
Comment 8 Jakub Filak 2014-05-07 11:12:50 EDT
Hello, may I see the build log file?
Comment 9 Menanteau Guy 2014-05-09 05:04:07 EDT
Created attachment 893884 [details]
failed abrt-java-connector ppc64le build log

See attached failing ppc64le build log.
Comment 10 Jakub Filak 2014-05-09 07:32:27 EDT
Thanks! Your guess (comment #7) is right.

Could you please verify that this srpm builds successfully on "ppc64le"?

http://jfilak.fedorapeople.org/packages/abrt-java-connector-1.0.10-1.c3357da.el7.src.rpm

Upstream branch : rhbz981682_ppc64le
Comment 11 Menanteau Guy 2014-05-09 08:50:27 EDT
Created attachment 894027 [details]
new c3357da build log
Comment 12 Menanteau Guy 2014-05-09 08:51:19 EDT
Created attachment 894028 [details]
run_test log
Comment 13 Menanteau Guy 2014-05-09 08:55:03 EDT
(In reply to Jakub Filak from comment #10)
> Thanks! Your guess (comment #7) is right.
> 
> Could you please verify that this srpm builds successfully on "ppc64le"?
> 
> http://jfilak.fedorapeople.org/packages/abrt-java-connector-1.0.10-1.c3357da.
> el7.src.rpm
> 
> Upstream branch : rhbz981682_ppc64le

Well, it does not do better. test_run is still failed but now I got test_stress too (tried two times). Not sure what is wrong in run_test.log with getJarFile...
Please let me know if wee need to continue to address this problem thru this bug. Thanks
Comment 14 Jakub Filak 2014-05-09 09:17:05 EDT
Is there any test machine available or how can I submit a koji "ppc64le" build job?
Comment 15 Brent Baude 2014-05-09 10:27:46 EDT
Jakub,

You can submit to:

http://ppc-le.koji.fedoraproject.org/koji/index

Currently you need to make your own alias, copy, or symlink for /usr/bin/ppcle-koji  as well as /etc/koji/ppcle-config

Note You need to log in before you can comment on or make changes to this bug.